# $Revision: 1.60 $, $Date: 2004/03/19 17:38:48 $
Summary:	utftpd - a TFTP server
Summary(pl):	utftpd - serwer TFTP
Name:		utftpd
Version:	0.2.4
Release:	15
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.ohse.de/uwe/releases/%{name}-%{version}.tar.gz
# Source0-md5:	3adf5d86c7b6d83d8ec4099e54e8dede
Source1:	%{name}.inetd
Source2:	%{name}.conf
URL:		http://www.ohse.de/uwe/software/utftpd.html
BuildRequires:	autoconf
PreReq:		rc-inetd
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Provides:	tftpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	tftpd-hpa
Obsoletes:	tftpd
Obsoletes:	tftp-server

%description
utftpd is a server for the trivial file transfer protocol (TFTP) with
finer grained access control then the standard UNIX tftpd.

Description with the features GNU utftpd has:
 - support for IP based access control. utftpd can assign the right to
   read, create or overwrite a file (or files in a directory) on a
   per-host base.
 - support for revision control. utftpd can checkin/out files under
   SCCS or RCS version control. This was one of the main reasons to write
   it: version control is the easiest way to restore the configuration
   our IP routers (Ascends, Ciscos) had yesterday or some weeks ago. This
   is, of course, optional.
 - support for the blksize option (RFC 2348). Allows packets larger
   than the usual 512 bytes, and is _somewhat_ more efficient (especially
   on a directly connected network).
 - support for the timeout option (RFC 2349) No support for the tsize
   option of RFC 2349 now.

%description -l pl
Pakiet utftpd zawiera serwer TFTP z kontrol dostpu wieksz ni
standardowy serwer tftpd.

Opis moliwoci serwera GNU utftpd:
 - wsparcie dla kontroli dostpu per IP. utftpd moe przypisywa prawa
   zapisu, odczytu, tworzenia plikw i ich nadpisywania bazuj na
   nazwach hostw z ktrych s wykonywane te operacje.
 - wsparcie do systemw kontroli wersji jak RCS, SCCS czy CVS.
   Umoliwia to np. odtworzenie poprzedniej wersji pliku np. z
   konfiguracj routera jaka zostaa zeskadowana na serwerze z uyciem
   TFTP. Jest to oczywiscie cecha opcjonalna.
 - wsparcie do opcji blksize (RFC 2348). Umozliwia ona uywanie
   pakietw wikszych ni standardowe 512 bajtw co jest nieco bardziej
   efektywne (szczeglnie przy komunikacji bezpoeniej).
 - moliwoci ustalania opcji timeout (RFC 2349). Brak jednoczenie na
   razie ustawiania opcji tsize (RFC 2349).

%package client
Summary:	utftpd - a TFTP client
Summary(pl):	utftpd - klient TFTP
Group:		Networking/Utilities

%description client
utftpd is a server for the trivial file transfer protocol (TFTP) with
finer grained access control then the standard UNIX tftpd.

Description with the features GNU utftpd has:
 - support for IP based access control. utftpd can assign the right to
   read, create or overwrite a file (or files in a directory) on a
   per-host base.
 - support for revision control. utftpd can checkin/out files under
   SCCS or RCS version control. This was one of the main reasons to write
   it: version control is the easiest way to restore the configuration
   our IP routers (Ascends, Ciscos) had yesterday or some weeks ago. This
   is, of course, optional.
 - support for the blksize option (RFC 2348). Allows packets larger
   than the usual 512 bytes, and is _somewhat_ more efficient (especially
   on a directly connected network).
 - support for the timeout option (RFC 2349) No support for the tsize
   option of RFC 2349 now.

This package contains utftp client only.

%description client -l pl
Pakiet utftpd zawiera serwer TFTP z kontrol dostpu wieksz ni
standardowy serwer tftpd.

Opis moliwoci serwera GNU utftpd:
 - wsparcie dla kontroli dostpu per IP. utftpd moe przypisywa prawa
   zapisu, odczytu, tworzenia plikw i ich nadpisywania bazuj na
   nazwach hostw z ktrych s wykonywane te operacje.
 - wsparcie do systemw kontroli wersji jak RCS, SCCS czy CVS.
   Umoliwia to np. odtworzenie poprzedniej wersji pliku np. z
   konfiguracj routera jaka zostaa zeskadowana na serwerze z uyciem
   TFTP. Jest to oczywiscie cecha opcjonalna.
 - wsparcie do opcji blksize (RFC 2348). Umozliwia ona uywanie
   pakietw wikszych ni standardowe 512 bajtw co jest nieco bardziej
   efektywne (szczeglnie przy komunikacji bezpoeniej).
 - moliwoci ustalania opcji timeout (RFC 2349). Brak jednoczenie na
   razie ustawiania opcji tsize (RFC 2349).

Ten pakiet zawiera tylko klienta utftp.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/sysconfig/rc-inetd,var/lib/tftp}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/utftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/utftpd.conf

touch $RPM_BUILD_ROOT%{_sysconfdir}/{utftpd.cdb,utftpd.conf}

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n utftpd
if [ -n "`id -u tftp 2>/dev/null`" ]; then
	if [ "`id -u tftp`" != "15" ]; then
		echo "Error: user tftp doesn't have uid=15. Correct this before installing utftpd." 1>&2
		exit 1
	fi
else
	echo "Adding user tftp UID=15."
	/usr/sbin/useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g ftp tftp 1>&2
fi

%post -n utftpd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server." 1>&2
fi
echo -n "Rebuilding utftpd configuration... "
utftpd_make /etc/utftpd.cdb /etc/utftp.tmp /etc/utftpd.conf
echo "done"

%postun -n utftpd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart
fi

if [ "$1" = "0" ]; then
	echo "Removing user tftp."
	/usr/sbin/userdel tftp
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.cvs sample.config
%attr(640,root,root) %ghost %{_sysconfdir}/utftpd.cdb
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/utftpd.conf
%attr(755,root,root) %{_sbindir}/utftpd
%attr(755,root,root) %{_sbindir}/utftpd_*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/utftpd
%{_mandir}/man5/utftpd*.5*
%{_mandir}/man8/utftpd*.8*
%attr(750,tftp,root) %dir /var/lib/tftp

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/utftp
%{_mandir}/man1/utftp.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: utftpd.spec,v $
Revision 1.60  2004/03/19 17:38:48  undefine
- fix name in obsoletes - tftpa-hpa -> tftpd-hpa, release 15(for RA)

Revision 1.59  2003/12/11 20:48:16  undefine
- release 14 to rebuild with ac

Revision 1.58  2003/08/13 22:52:23  ankry
- description fixes / unification

Revision 1.57  2003/05/28 13:02:31  malekith
- massive attack: source-md5

Revision 1.56  2003/05/25 06:27:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.55  2003/05/16 02:12:15  kloczek
- added tftp-server to Obsoletes.

Revision 1.54  2002/11/22 10:15:19  blues
- config should be noreplace

Revision 1.53  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.52  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.51  2002/11/21 10:37:49  blues
- release 13 - tftpd dir is 750 now

Revision 1.50  2002/11/13 12:42:56  kloczek
- release 12: tftpa-hpa added to Obsoletes in server subpackage.

Revision 1.49  2002/09/13 15:20:28  kloczek
- release 11.

Revision 1.48  2002/09/12 10:31:27  blues
- small fix in uninstall message

Revision 1.47  2002/08/17 21:04:39  qboosh
- better message in pre, more Requires(), release 10

Revision 1.46  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.45  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/31 23:57:53  ankry
- added Group(es/pt_BR)

Revision 1.43  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/12/21 23:01:22  kloczek
- release 9.

Revision 1.41  2001/12/20 20:05:51  blues
- few beautifications

Revision 1.40  2001/12/20 12:43:47  blues
-URL added

Revision 1.39  2001/12/18 15:41:55  kloczek
- release 8.

Revision 1.38  2001/12/18 14:41:18  blues
- removed obsoletes tftp (not nedded)

Revision 1.37  2001/10/30 16:23:03  blues
- make tmp file in /etc to avoid failures due cross-filesystems linking

Revision 1.36  2001/10/21 15:02:46  blues
- added default config - allow connections from locathost
- rebuild configuration in post

Revision 1.35  2001/10/21 14:23:44  blues
- one file was missing

Revision 1.34  2001/07/28 21:20:03  blues
- release 7
- removed touching files in /etc in %post
- added using and making tftp (UID=15). chroot jail with user tftp was used
  in inetd file before...
- mising man and one config

Revision 1.33  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.31  2001/07/24 09:15:05  blues
- well... utftpd (not utftpd-server) would be enought...

Revision 1.30  2001/07/24 09:10:15  blues
- release 6
- separated to client and server
- many, many typos in descriptions...
- some obsoletes

Revision 1.29  2001/07/24 01:15:51  kloczek
- added autoconf to BuildRequires.

Revision 1.28  2001/07/24 01:14:59  kloczek
- release 5,
- added full pl %description.

Revision 1.27  2001/07/23 23:23:14  blues
- ac2.5 ready
- cosmetics

Revision 1.26  2000/10/24 17:52:50  mis
- added tftpdaemon cap

Revision 1.25  2000/09/28 17:30:42  kloczek
- release 4: added using rpm new automaton suit.

Revision 1.24  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.23  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/05/21 16:05:07  kloczek
- release 3,
- spec adapterized.

Revision 1.21  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.20  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.18  1999/12/01 12:10:15  kloczek
- updated to 0.2.4.

Revision 1.17  1999/10/14 22:53:21  kloczek
- fix: in %postun must be restart inet server (not stop).

Revision 1.16  1999/10/14 21:26:27  kloczek
- added missing touch utftpd.cdb file in %install.

Revision 1.15  1999/10/14 21:21:19  kloczek
- added /etc/utftpd.cdb config file as %ghost,
- added sample.config to %doc,
- added /var/state/tftp empty direstory.

Revision 1.14  1999/10/14 21:04:03  kloczek
- added passing LDGLAGS="-s" to configure enviroment - now binaries are
  stripped).

Revision 1.13  1999/10/14 20:56:19  kloczek
- release 2,
- added in %post/%postun restarting inet server,
- Requires for rc-inetd changed to Prereq,
- new %description.

Revision 1.12  1999/10/11 07:05:12  waszi
- small fixes

Revision 1.11  1999/10/06 11:02:49  waszi
- added rc-inetd support

Revision 1.10  1999/07/16 23:25:03  pius
- minor changes.

Revision 1.9  1999/07/13 18:24:17  baggins
- spec cleanup

Revision 1.8  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Apr 5 1999 Uwe Ohse <uwe@ohse.de>
- brought in line with utftpd-0.1.4 release

* Sun Mar 28 1999 Uwe Ohse <uwe@ohse.de>
- created it.
